// Eine abstrakte Klasse
public abstract class Abstrakt{

	// Eine konkrete Methode.
	public void methode1(){
		System.out.println("Abstrakt: methode1");
	}

	// Eine abstrakte Methode wird wie in einer Schnitt-
	// stelle nur definiert, aber nicht implementiert.
	public abstract void methode2();

	// Eine konkrete Methode, die die abstrakte Methode
	// 'methode2' aufruft -> Diese muss von einer konkreten
	// Unterklasse implementiert werden!
	public void methode3(){
		System.out.println("Abstrakt: methode3");
		methode2();
	}
}
